<?php
register_nav_menus( array(
	'main-menu' => 'Main menu',
	'footer-menu' => 'Footer menu',
) );

//"ANPASSA" **********************************************************************************************************************************

new theme_customizer();

class theme_customizer
{
    public function __construct()
    {
        add_action('customize_register', array(&$this, 'pahe_manager'));
    }
	
	public function pahe_manager($wp_manager)
    {
        $this->pahe_section($wp_manager);
    }

    public function pahe_section($wp_manager)
    {
		//"ANPASSA" BAKGRUNDSFÄRG*************************************************************************************************************
        $wp_manager->add_section('pahe_background', array(
            'title' => __('Background'),
			'description' => 'Go to <a href="themes.php?page=pahe_bg_theme_options.php">"background"</a> if you want to use a background image.<br /><br />',
            'priority' => 100,
        ));
		
		$wp_manager->add_setting('pahe_background_color', array(
            'default' => '#000',
        ));

        $wp_manager->add_control( new WP_Customize_Color_Control($wp_manager, 'pahe_background_color', array(
            'label' => '',
            'section' => 'pahe_background',
            'settings' => 'pahe_background_color',
            'priority' => 1
        )));
		
		//"ANPASSA" TYPSNITT******************************************************************************************************************
		$wp_manager->add_section('pahe_fonts', array(
            'title' => __('Fonts'),
			'description' => '',
            'priority' => 101,
        ));
		
		$wp_manager->add_setting('pahe_font_headline', array(
            'default' => 'Verdana',
        ));

        $wp_manager->add_control('pahe_font_headline', array(
			'label' => __('Headlines'),
            'section' => 'pahe_fonts',
            'type' => 'select',
            'choices' => array(
			"Arial" => "Arial",
			"Arial Black" => "Arial Black",
			"Book Antiqua" => "Book Antiqua",
			"Comic Sans MS" => "Comic Sans MS",
			"Courier" => "Courier",
			"Courier New" => "Courier New",
			"Gadget" => "Gadget",
			"Geneva" => "Geneva",
			"Georgia" => "Georgia",
			"Helvetica" => "Helvetica",
			"Lucida Console" => "Lucida Console",
			"Lucida Grande" => "Lucida Grande",
			"Lucida Sans Unicode" => "Lucida Sans Unicode",
			"Monaco" => "Monaco",
			"MS Serif" => "MS Serif",
			"New York" => "New York",
			"Palatino" => "Palatino",
			"Palatino Linotype" => "Palatino Linotype",
			"Tahoma" => "Tahoma",
			"Times" => "Times",
			"Times New Roman" => "Times New Roman",
			"Trebuchet MS" => "Trebuchet MS",
			"Verdana" => "Verdana",
			),
            'priority' => 1
        ));
		
		$wp_manager->add_setting('pahe_font_normal', array(
            'default' => 'Verdana',
        ));

        $wp_manager->add_control('pahe_font_normal', array(
			'label' => __('Other texts'),
            'section' => 'pahe_fonts',
            'type' => 'select',
            'choices' => array(
			"Arial" => "Arial",
			"Arial Black" => "Arial Black",
			"Book Antiqua" => "Book Antiqua",
			"Comic Sans MS" => "Comic Sans MS",
			"Courier" => "Courier",
			"Courier New" => "Courier New",
			"Gadget" => "Gadget",
			"Geneva" => "Geneva",
			"Georgia" => "Georgia",
			"Helvetica" => "Helvetica",
			"Lucida Console" => "Lucida Console",
			"Lucida Grande" => "Lucida Grande",
			"Lucida Sans Unicode" => "Lucida Sans Unicode",
			"Monaco" => "Monaco",
			"MS Serif" => "MS Serif",
			"New York" => "New York",
			"Palatino" => "Palatino",
			"Palatino Linotype" => "Palatino Linotype",
			"Tahoma" => "Tahoma",
			"Times" => "Times",
			"Times New Roman" => "Times New Roman",
			"Trebuchet MS" => "Trebuchet MS",
			"Verdana" => "Verdana",
			),
            'priority' => 1
        ));
		
		//"ANPASSA" PARALLAX SPEED************************************************************************************************************
		$wp_manager->add_section('pahe_speed', array(
            'title' => 'Parallax ' . __('speed'),
			'description' => 'Go to <a href="themes.php?page=pahe_img_theme_options.php">"parallax head"</a> if you want to change the image.<br /><br />',
            'priority' => 102,
        ));
		
		$wp_manager->add_setting('pahe_speed_setting', array(
            'default' => '0.2',
        ));

        $wp_manager->add_control('pahe_speed_setting', array(
			'label' => '',
            'section' => 'pahe_speed',
            'type' => 'select',
            'choices' => array("-0.1" => "-0.1", "-0.2" => "-0.2", "-0.3" => "-0.3", "-0.4" => "-0.4", "-0.5" => "-0.5", "-0.6" => "-0.6", "-0.7" => "-0.7", "-0.8" => "-0.8", "-0.9" => "-0.9"),
            'priority' => 1
        ));
		
		//"ANPASSA" FOTTEXTEN*****************************************************************************************************************
		$wp_manager->add_section('pahe_foot', array(
            'title' => __('Footer')."-".__('text'),
			'description' => 'This text appears in the footer and might help on Google.',
            'priority' => 103,
        ));
		
		$wp_manager->add_setting('pahe_foot_setting', array(
            'default' => '',
        ));

        $wp_manager->add_control('pahe_foot_setting', array(
            'label' => '',
            'section' => 'pahe_foot',
            'type' => 'text',
            'priority' => 1
        ));
	}
}

//ÄNDRA BILD I HUVUDET PÅ HEMSIDAN************************************************************************************************************

function pahe_img_theme_menu()
{
  add_theme_page( 'Image in head', 'Parallax Head', 'manage_options', 'pahe_img_theme_options.php', 'pahe_img_theme_page');  
}
add_action('admin_menu', 'pahe_img_theme_menu');

function pahe_img_theme_page()
{
?>
	  <style type="text/css">
	  th {display:none;}
	  #wpfooter {display:none;}
	  </style>
      <script type="text/javascript">
	  function headimg(thumb, full) {
		  document.getElementById("headimg_img").innerHTML = '<img src="'+thumb+'">';
		  document.getElementById("headimg_code").innerHTML = 'Place this code somewhere on a page where you want to use the image in the head:<br /><i>[headimg]'+full+'[/headimg]</i>';
	  }
	  </script>
      <a href="media-new.php">Upload image</a><br />
      <form method="post" enctype="multipart/form-data" action="options.php">
        <?php 
          settings_fields('pahe_img_theme_options'); 
        
          do_settings_sections('pahe_img_theme_options.php');
        ?>
            <p class="submit">  
                <input type="submit" class="button-primary" value="Save Changes" />  
            </p>  
            
      </form>
      
    </div>
    <div style="display:inline-block;">
    <div id="headimg_img" style="float:left; margin-right:10px;"></div>
    <div id="headimg_code" style="float:right;"></div>
    </div>
    <?php
}

add_action( 'admin_init', 'pahe_img_register_settings' );

function pahe_img_register_settings()
{
    register_setting( 'pahe_img_theme_options', 'pahe_img_theme_options', 'pahe_img_validate_settings' );

    add_settings_section( 'pahe_img_text_section', 'Image in the head on the webpage', 'pahe_img_display_section', 'pahe_img_theme_options.php' );

    $field_args = array(
      'type'      => 'radio',
      'id'        => 'pahe_img_head',
      'name'      => 'pahe_img_head',
      'desc'      => '',
      'std'       => '',
      'class'     => 'pahe_img_head_class'
    );

    add_settings_field( 'head_image', '', 'pahe_img_display_setting', 'pahe_img_theme_options.php', 'pahe_img_text_section', $field_args );
}

function pahe_img_display_section($section){
?>
Recommended size: 1920 X 460 <br />
or smaller in the same proportions e.g. 900 X 216.
<?php
}

function pahe_img_display_setting($args)
{
    extract( $args );

    $option_name = 'pahe_img_theme_options';

    $options = get_option( $option_name );

	switch ( $type ) {
	case 'radio':  
		if ($options) {
			$options[$id] = stripslashes($options[$id]);  
			$options[$id] = esc_attr( $options[$id]);  
		}
		
		$args = array(
		'post_type' => 'attachment',
		'numberposts' => -1,
		'post_status' => null,
		'post_parent' => null,
		); 
		$attachments = get_posts($args);
		if ($attachments) {
			foreach ($attachments as $post) {
				setup_postdata($post);
				$image_attributes_thumb = wp_get_attachment_image_src($post->ID, 'thumbnail');
				$image_attributes = wp_get_attachment_image_src($post->ID, 'full');
				if ($options) {if ($options[$id] == $image_attributes[0]) {$selected = "checked='checked'";} else {$selected = "";}}
				?>
				<div align="center" style="display:inline-block;" onclick="headimg(<?php echo("'".$image_attributes_thumb[0]."', '".$post->ID."'");?>); document.getElementById('<?php echo($post->ID);?>').checked = true;">
                <?php
				echo("<input style='cursor:default;' class='$class' type='radio' id='".$post->ID."' name='" . $option_name . "[$id]' value='$image_attributes[0]' $selected /><br />"); 
				echo(wp_get_attachment_image($post->ID, 'thumbnail'));
				echo("<br /><a href='upload.php?item=" . $post->ID . "'>Edit</a>");
				echo("<br />" . $image_attributes[1] . " X " . $image_attributes[2] . "<br />");
				echo("</div>&nbsp;");
			}
		}
	break;
	}
}

function pahe_img_validate_settings($input){
return $input;
}

//ÄNDRA BAKGRUNDSBILD*************************************************************************************************************************

function pahe_bg_theme_menu()
{
  add_theme_page( 'Image in head', __('Background'), 'manage_options', 'pahe_bg_theme_options.php', 'pahe_bg_theme_page');  
}
add_action('admin_menu', 'pahe_bg_theme_menu');

function pahe_bg_theme_page()
{
?>
	  <style type="text/css">
	  th {display:none;}
	  #wpfooter {display:none;}
	  </style>
      <script type="text/javascript">
	  function bgimg(thumb, full) {
		  document.getElementById("bgimg_bg").innerHTML = '<img src="'+thumb+'">';
		  document.getElementById("bgimg_code").innerHTML = 'Place this code somewhere on a page where you want to use the image as background:<br /><i>[bg]'+full+'[/bg]</i>';
	  }
	  </script>
      <a href="media-new.php">Upload image</a><br />
      <form method="post" enctype="multipart/form-data" action="options.php">
        <?php 
          settings_fields('pahe_bg_theme_options'); 
        
          do_settings_sections('pahe_bg_theme_options.php');
        ?>
            <p class="submit">  
                <input type="submit" class="button-primary" value="Save Changes" />  
            </p>  
            
      </form>
      
    </div>
    <div style="display:inline-block;">
    <div id="bgimg_bg" style="float:left; margin-right:10px;"></div>
    <div id="bgimg_code" style="float:right;"></div>
    </div>
    <?php
}

add_action( 'admin_init', 'pahe_bg_register_settings' );

function pahe_bg_register_settings()
{
    register_setting( 'pahe_bg_theme_options', 'pahe_bg_theme_options', 'pahe_bg_validate_settings' );

    add_settings_section( 'pahe_bg_text_section', 'Background on the webpage', 'pahe_bg_display_section', 'pahe_bg_theme_options.php' );
	
	/*$field_args = array(
      'type'      => 'text',
      'id'        => 'pahe_bg_color',
      'name'      => 'pahe_bg_color',
      'desc'      => 'Hexadecimal code',
      'std'       => '',
      'class'     => 'pahe_bg_color_class'
    );
    add_settings_field( 'bg_color', 'Background color', 'pahe_bg_display_setting', 'pahe_bg_theme_options.php', 'pahe_bg_text_section', $field_args );*/
	
    $field_args = array(
      'type'      => 'radio',
      'id'        => 'pahe_bg_img',
      'name'      => 'pahe_bg_img',
      'desc'      => '',
      'std'       => '',
      'class'     => 'pahe_bg_img_class'
    );
    add_settings_field( 'bg_image', '', 'pahe_bg_display_setting', 'pahe_bg_theme_options.php', 'pahe_bg_text_section', $field_args );
	
	$field_args = array(
      'type'      => 'radio',
      'id'        => 'pahe_bg_attach',
      'name'      => 'pahe_bg_attach',
      'desc'      => '',
      'std'       => '',
      'class'     => 'pahe_bg_attach_class'
    );
    add_settings_field( 'bg_attach', 'Background attachment', 'pahe_bg_display_setting', 'pahe_bg_theme_options.php', 'pahe_bg_text_section', $field_args );
	
	$field_args = array(
      'type'      => 'radio',
      'id'        => 'pahe_bg_repeat',
      'name'      => 'pahe_bg_repeat',
      'desc'      => '',
      'std'       => '',
      'class'     => 'pahe_bg_repeat_class'
    );
    add_settings_field( 'bg_repeat', 'Background repeat', 'pahe_bg_display_setting', 'pahe_bg_theme_options.php', 'pahe_bg_text_section', $field_args );
}

function pahe_bg_display_section($section){}

function pahe_bg_display_setting($args)
{
    extract( $args );

    $option_name = 'pahe_bg_theme_options';

    $options = get_option( $option_name );

	switch ( $id ) {
		
	/*case 'pahe_bg_color':
		  $options[$id] = stripslashes($options[$id]);
		  $options[$id] = esc_attr( $options[$id]);
		  echo("Background color:<br />");
		  echo "#<input class='$class' type='text' id='$id' name='" . $option_name . "[$id]' value='$options[$id]' />";
		  echo ($desc != '') ? "<br /><span class='description'>$desc</span>" : "";
		  echo("<br />");
	break;*/

	case 'pahe_bg_img':
		if ($options) {
			$options[$id] = stripslashes($options[$id]);
			$options[$id] = esc_attr( $options[$id]);
		}
		
		echo('Go to <a href="customize.php">"customize"</a> if you want to use a background color.<br /><br />');
		echo("Background image:<br /><br />");
		
		?>
        <div align="center" style="display:inline-block;" onclick="document.getElementById('no_bg').checked = true;">
		<?php
        echo("<input style='cursor:default;' class='$class' type='radio' id='no_bg' name='" . $option_name . "[$id]' value='' /><br />"); 
		?>
        <img src="<?php echo(get_bloginfo('template_directory'));?>/img/bg_img_none.jpg" />
        <?php
        echo("<br /><br /><br />");
        echo("</div>&nbsp;");
		
		$args = array(
		'post_type' => 'attachment',
		'numberposts' => -1,
		'post_status' => null,
		'post_parent' => null,
		); 
		$attachments = get_posts($args);
		if ($attachments) {
			foreach ($attachments as $post) {
				setup_postdata($post);
				$image_attributes_thumb = wp_get_attachment_image_src($post->ID, 'thumbnail');
				$image_attributes = wp_get_attachment_image_src($post->ID, 'full');
				if ($options) {if ($options[$id] == $image_attributes[0]) {$selected = "checked='checked'";} else {$selected = "";}}
				?>
				<div align="center" style="display:inline-block;" onclick="bgimg(<?php echo("'".$image_attributes_thumb[0]."', '".$post->ID."'");?>); document.getElementById('<?php echo($post->ID);?>').checked = true;">
                <?php
				echo("<input style='cursor:default;' class='$class' type='radio' id='".$post->ID."' name='" . $option_name . "[$id]' value='$image_attributes[0]' $selected /><br />"); 
				echo(wp_get_attachment_image($post->ID, 'thumbnail'));
				echo("<br /><a href='upload.php?item=" . $post->ID . "'>Edit</a>");
				echo("<br />" . $image_attributes[1] . " X " . $image_attributes[2] . "<br />");
				echo("</div>&nbsp;");
			}
		}
	break;
	
	case 'pahe_bg_attach':
		  $options[$id] = stripslashes($options[$id]);  
		  $options[$id] = esc_attr( $options[$id]);  
		  ?>
		  Background attachment:<br />
		  <select class='<?php echo($class);?>' id='<?php echo($id);?>' name='<?php echo($option_name."[".$id."]");?>'>
		  <option value="scroll"<?php if ($options[$id] == "scroll") {?> selected="selected"<?php }?>>Scroll</option>
          <option value="fixed"<?php if ($options[$id] == "fixed") {?> selected="selected"<?php }?>>Fixed</option>
		  <select>
		  <?php 
		  echo ($desc != '') ? "<br /><span class='description'>$desc</span>" : "";  
		  echo("<br />");
	break;
	
	case 'pahe_bg_repeat':
		  $options[$id] = stripslashes($options[$id]);  
		  $options[$id] = esc_attr( $options[$id]);  
		  ?>
		  Background repeat:<br />
		  <select class='<?php echo($class);?>' id='<?php echo($id);?>' name='<?php echo($option_name."[".$id."]");?>'>
		  <option value="no-repeat"<?php if ($options[$id] == "no-repeat") {?> selected="selected"<?php }?>>No repeat</option>
          <option value="repeat"<?php if ($options[$id] == "repeat") {?> selected="selected"<?php }?>>Repeat</option>
          <option value="repeat-x"<?php if ($options[$id] == "repeat-x") {?> selected="selected"<?php }?>>Repeat X</option>
          <option value="repeat-y"<?php if ($options[$id] == "repeat-y") {?> selected="selected"<?php }?>>Repeat Y</option>
		  <select>
		  <?php 
		  echo ($desc != '') ? "<br /><span class='description'>$desc</span>" : "";  
		  echo("<br /><br />");
	break;
	}
}

function pahe_bg_validate_settings($input){
return $input;
}

//********************************************************************************************************************************************
?>